#!/bin/sh

set -e

#DEBHELPER#

# Remove a no-longer used conffile
rm_conffile() {
    PKGNAME="$1"
    CONFFILE="$2"
    if [ -e "$CONFFILE" ]; then
        md5sum="`md5sum \"$CONFFILE\" | sed -e \"s/ .*//\"`"
        old_md5sum="`dpkg-query -W -f='${Conffiles}' $PKGNAME | sed -n -e \"\\\\' $CONFFILE '{s/ obsolete$//;s/.* //p}\"`"
        if [ "$md5sum" != "$old_md5sum" ]; then
            echo "Obsolete conffile $CONFFILE has been modified by you."
            echo "Saving as $CONFFILE.obsolete ..."
            mv -f "$CONFFILE" "$CONFFILE".obsolete
        else
            echo "Removing obsolete conffile $CONFFILE ..."
            rm -f "$CONFFILE"
        fi
    fi
}

case "$1" in
  install|upgrade)
	if dpkg --compare-versions "$2" lt 1.10-15; then
		rm_conffile clamsmtp /etc/default/clamsmtp
	fi
  ;;
esac

exit 0
